#
#  Home-manager configuration for laptop
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ ./laptop
#   │       └─ home.nix *
#   └─ ./modules
#       └─ ./desktop
#           └─ ./hyprland
#              └─ hyprland.nix
#

{ pkgs, ... }:

{
  specialisation = {
  	sway.configuration = {
		imports =
		[(import ../../modules/wm/sway/home.nix)];
	};
  };

  imports =
    [(import ../../modules/home.nix)] ++ # Window Manager
    [(import ../../modules/wm/steam/home.nix)] ++
    [(import ../../modules/wm/kde/home.nix)];

  home = {                                # Specific packages for laptop
    packages = with pkgs; [
      # Applications
      libreoffice                         # Office packages
      #firefox
      chromium
      thunderbird
      streamlink
      streamlink-twitch-gui-bin
      element-desktop
      pulsemixer
      #yuzu-early-access
      
      # Display
      light                              # xorg.xbacklight not supported. Other option is just use xrandr.

      # Power Management
      #auto-cpufreq                       # Power management
      #tlp                                # Power management
    ];
  };

  services = {                            # Applets
  };

  xsession.preferStatusNotifierItems = true;

}
